/*
	StriFe INFO.c processor, by Frans P. de Vries.

Derived from:

	DooM MaP StaTistics, by Frans P. de Vries.

	You are allowed to use any parts of this code in another program, as
	long as you give credits to the authors in the documentation and in
	the program itself.  Read the file README for more information.

	This program comes with absolutely no warranty.

	STUB.C - Stubs for action functions.
*/

#include "../common/stub.h"
#include "p_mobj.h"

void A_Look(mobj_t* actor)                   { strcpy( funcname, "A_Look"); }
void A_RandomWalk(mobj_t* actor)             { strcpy( funcname, "A_RandomWalk"); }
void A_FriendLook(mobj_t* actor)             { strcpy( funcname, "A_FriendLook"); }
void A_Listen(mobj_t* actor)                 { strcpy( funcname, "A_Listen"); }
void A_Chase(mobj_t* actor)                  { strcpy( funcname, "A_Chase"); }
void A_FaceTarget(mobj_t* actor)             { strcpy( funcname, "A_FaceTarget"); }
void A_PeasantPunch(mobj_t* actor)           { strcpy( funcname, "A_PeasantPunch"); }
void A_ReaverAttack(mobj_t* actor)           { strcpy( funcname, "A_ReaverAttack"); }
void A_BulletAttack(mobj_t* actor)           { strcpy( funcname, "A_BulletAttack"); }
void A_CheckTargetVisible(mobj_t* actor)     { strcpy( funcname, "A_CheckTargetVisible"); }
void A_SentinelAttack(mobj_t* actor)         { strcpy( funcname, "A_SentinelAttack"); Spawn(MT_L_LASER); Spawn(MT_R_LASER); }
void A_StalkerThink(mobj_t* actor)           { strcpy( funcname, "A_StalkerThink"); }
void A_StalkerSetLook(mobj_t* actor)         { strcpy( funcname, "A_StalkerSetLook"); }
void A_StalkerDrop(mobj_t* actor)            { strcpy( funcname, "A_StalkerDrop"); }
void A_StalkerScratch(mobj_t* actor)         { strcpy( funcname, "A_StalkerScratch"); }
void A_FloatWeave(mobj_t* actor)             { strcpy( funcname, "A_FloatWeave"); }
void A_RobotMelee(mobj_t* actor)             { strcpy( funcname, "A_RobotMelee"); }
void A_TemplarMauler(mobj_t* actor)          { strcpy( funcname, "A_TemplarMauler"); }
void A_CrusaderAttack(mobj_t* actor)         { strcpy( funcname, "A_CrusaderAttack"); Spawn(MT_C_FLAME); Spawn(MT_C_MISSILE); }
void A_CrusaderLeft(mobj_t* actor)           { strcpy( funcname, "A_CrusaderLeft"); Spawn(MT_C_FLAME); }
void A_CrusaderRight(mobj_t* actor)          { strcpy( funcname, "A_CrusaderRight"); Spawn(MT_C_FLAME); }
void A_CheckTargetVisible2(mobj_t* actor)    { strcpy( funcname, "A_CheckTargetVisible2"); }
void A_InqFlyCheck(mobj_t* actor)            { strcpy( funcname, "A_InqFlyCheck"); }
void A_InqGrenade(mobj_t* actor)             { strcpy( funcname, "A_InqGrenade"); Spawn(MT_INQGRENADE); }
void A_InqTakeOff(mobj_t* actor)             { strcpy( funcname, "A_InqTakeOff"); }
void A_InqFly(mobj_t* actor)                 { strcpy( funcname, "A_InqFly"); }
void A_FireSigilWeapon(mobj_t* actor)        { strcpy( funcname, "A_FireSigilWeapon"); }
void A_ProgrammerAttack(mobj_t* actor)       { strcpy( funcname, "A_ProgrammerAttack"); }
void A_Sigil_A_Action(mobj_t* actor)         { strcpy( funcname, "A_Sigil_A_Action"); Spawn(MT_SIGIL_A_ZAP_LEFT); Spawn(MT_SIGIL_A_ZAP_RIGHT); }
void A_SpectreEAttack(mobj_t* actor)         { strcpy( funcname, "A_SpectreEAttack"); Spawn(MT_SIGIL_SE_SHOT); }
void A_SpectreCAttack(mobj_t* actor)         { strcpy( funcname, "A_SpectreCAttack"); Spawn(MT_SIGIL_A_ZAP_RIGHT); Spawn(MT_SIGIL_C_SHOT); }
void A_AlertSpectreC(mobj_t* actor)          { strcpy( funcname, "A_AlertSpectreC"); Spawn(MT_SPECTRE_C); }
void A_Sigil_E_Action(mobj_t* actor)         { strcpy( funcname, "A_Sigil_E_Action"); Spawn(MT_SIGIL_E_OFFSHOOT); }
void A_SigilTrail(mobj_t* actor)             { strcpy( funcname, "A_SigilTrail"); Spawn(MT_SIGIL_TRAIL); }
void A_SpectreDAttack(mobj_t* actor)         { strcpy( funcname, "A_SpectreDAttack"); Spawn(MT_SIGIL_SD_SHOT); }
void A_FireSigilEOffshoot(mobj_t* actor)     { strcpy( funcname, "A_FireSigilEOffshoot"); Spawn(MT_SIGIL_E_OFFSHOOT); }
void A_ShadowOff(mobj_t* actor)              { strcpy( funcname, "A_ShadowOff"); }
void A_ModifyVisibility(mobj_t* actor)       { strcpy( funcname, "A_ModifyVisibility"); }
void A_ShadowOn(mobj_t* actor)               { strcpy( funcname, "A_ShadowOn"); }
void A_SetTLOptions(mobj_t* actor)           { strcpy( funcname, "A_SetTLOptions"); }
void A_BossMeleeAtk(mobj_t* actor)           { strcpy( funcname, "A_BossMeleeAtk"); }
void A_BishopAttack(mobj_t* actor)           { strcpy( funcname, "A_BishopAttack"); Spawn(MT_SEEKMISSILE); }
void A_FireHookShot(mobj_t* actor)           { strcpy( funcname, "A_FireHookShot"); Spawn(MT_HOOKSHOT); }
void A_FireChainShot(mobj_t* actor)          { strcpy( funcname, "A_FireChainShot"); Spawn(MT_CHAINSHOT); }
void A_MissileSmoke(mobj_t* actor)           { strcpy( funcname, "A_MissileSmoke"); Spawn(MT_MISSILESMOKE); }
void A_SpawnSparkPuff(mobj_t* actor)         { strcpy( funcname, "A_SpawnSparkPuff"); Spawn(MT_SPARKPUFF); }
void A_Tracer(mobj_t* actor)                 { strcpy( funcname, "A_Tracer"); }
void A_ProgrammerMelee(mobj_t* actor)        { strcpy( funcname, "A_ProgrammerMelee"); }
void A_Scream(mobj_t* actor)                 { strcpy( funcname, "A_Scream"); }
void A_XScream(mobj_t* actor)                { strcpy( funcname, "A_XScream"); }
void A_Pain(mobj_t* actor)                   { strcpy( funcname, "A_Pain"); }
void A_PeasantCrash(mobj_t* actor)           { strcpy( funcname, "A_PeasantCrash"); }
void A_Fall(mobj_t* actor)                   { strcpy( funcname, "A_Fall"); }
void A_HideZombie(mobj_t* actor)             { strcpy( funcname, "A_HideZombie"); }
void A_MerchantPain(mobj_t* actor)           { strcpy( funcname, "A_MerchantPain"); }
void A_ProgrammerDie(mobj_t* actor)          { strcpy( funcname, "A_ProgrammerDie"); Spawn(MT_PROGRAMMERBASE); }
void A_InqTossArm(mobj_t* actor)             { strcpy( funcname, "A_InqTossArm"); Spawn(MT_INQARM); }
void A_SpawnSpectreB(mobj_t* actor)          { strcpy( funcname, "A_SpawnSpectreB"); Spawn(MT_SPECTRE_B); }
void A_SpawnSpectreD(mobj_t* actor)          { strcpy( funcname, "A_SpawnSpectreD"); Spawn(MT_SPECTRE_D); }
void A_SpawnSpectreE(mobj_t* actor)          { strcpy( funcname, "A_SpawnSpectreE"); Spawn(MT_SPECTRE_E); }
void A_SpawnEntity(mobj_t* actor)            { strcpy( funcname, "A_SpawnEntity"); Spawn(MT_ENTITY); }
void A_EntityDeath(mobj_t* actor)            { strcpy( funcname, "A_EntityDeath"); Spawn(MT_SUBENTITY); }
void A_SpawnZombie(mobj_t* actor)            { strcpy( funcname, "A_SpawnZombie"); Spawn(MT_ZOMBIE); }
void A_ZombieInSpecialSector(mobj_t* actor)  { strcpy( funcname, "A_ZombieInSpecialSector"); }
void A_CrystalExplode(mobj_t* actor)         { strcpy( funcname, "A_CrystalExplode"); }
void A_QuestMsg(mobj_t* actor)               { strcpy( funcname, "A_QuestMsg"); }
void A_ExtraLightOff(mobj_t* actor)          { strcpy( funcname, "A_ExtraLightOff"); }
void A_CrystalRadiusAtk(mobj_t* actor)       { strcpy( funcname, "A_CrystalRadiusAtk"); }
void A_DeathExplode5(mobj_t* actor)          { strcpy( funcname, "A_DeathExplode5"); }
void A_DeathExplode1(mobj_t* actor)          { strcpy( funcname, "A_DeathExplode1"); }
void A_DeathExplode2(mobj_t* actor)          { strcpy( funcname, "A_DeathExplode2"); }
void A_DeathExplode3(mobj_t* actor)          { strcpy( funcname, "A_DeathExplode3"); }
void A_RaiseAlarm(mobj_t* actor)             { strcpy( funcname, "A_RaiseAlarm"); }
void A_MissileTick(mobj_t* actor)            { strcpy( funcname, "A_MissileTick"); }
void A_SpawnGrenadeFire(mobj_t* actor)       { strcpy( funcname, "A_SpawnGrenadeFire"); Spawn(MT_PFLAME); }
void A_NodeChunk(mobj_t* actor)              { strcpy( funcname, "A_NodeChunk"); Spawn(MT_NODE); }
void A_HeadChunk(mobj_t* actor)              { strcpy( funcname, "A_HeadChunk"); Spawn(MT_SPECTREHEAD); }
void A_BurnSpread(mobj_t* actor)             { strcpy( funcname, "A_BurnSpread"); Spawn(MT_PFLAME); }
void A_AcolyteSpecial(mobj_t* actor)         { strcpy( funcname, "A_AcolyteSpecial"); }
void A_BossDeath(mobj_t* actor)              { strcpy( funcname, "A_BossDeath"); }
void A_InqChase(mobj_t* actor)               { strcpy( funcname, "A_InqChase"); }
void A_StalkerChase(mobj_t* actor)           { strcpy( funcname, "A_StalkerChase"); }
void A_PlayerScream(mobj_t* actor)           { strcpy( funcname, "A_PlayerScream"); }
void A_TeleportBeacon(mobj_t* actor)         { strcpy( funcname, "A_TeleportBeacon"); Spawn(MT_REBEL1); }
void A_BodyParts(mobj_t* actor)              { strcpy( funcname, "A_BodyParts"); Spawn(MT_JUNK); Spawn(MT_MEAT); }
void A_ClaxonBlare(mobj_t* actor)            { strcpy( funcname, "A_ClaxonBlare"); }
void A_ActiveSound(mobj_t* actor)            { strcpy( funcname, "A_ActiveSound"); }
void A_ClearSoundTarget(mobj_t* actor)       { strcpy( funcname, "A_ClearSoundTarget"); }
void A_DropBurnFlesh(mobj_t* actor)          { strcpy( funcname, "A_DropBurnFlesh"); Spawn(MT_BURNDROP); }
void A_FlameDeath(mobj_t* actor)             { strcpy( funcname, "A_FlameDeath"); }
void A_ClearForceField(mobj_t* actor)        { strcpy( funcname, "A_ClearForceField"); }
void A_WeaponReady(mobj_t* actor)            { strcpy( funcname, "A_WeaponReady"); }
void A_ReFire(mobj_t* actor)                 { strcpy( funcname, "A_ReFire"); }
void A_CheckReload(mobj_t* actor)            { strcpy( funcname, "A_CheckReload"); }
void A_Lower(mobj_t* actor)                  { strcpy( funcname, "A_Lower"); }
void A_Raise(mobj_t* actor)                  { strcpy( funcname, "A_Raise"); }
void A_GunFlash(mobj_t* actor)               { strcpy( funcname, "A_GunFlash"); }
void A_Punch(mobj_t* actor)                  { strcpy( funcname, "A_Punch"); }
void A_FireFlameThrower(mobj_t* actor)       { strcpy( funcname, "A_FireFlameThrower"); Spawn(MT_SFIREBALL); }
void A_FireMissile(mobj_t* actor)            { strcpy( funcname, "A_FireMissile"); Spawn(MT_MINIMISSLE); }
void A_FireMauler2(mobj_t* actor)            { strcpy( funcname, "A_FireMauler2"); Spawn(MT_TORPEDO); }
void A_FireGrenade(mobj_t* actor)            { strcpy( funcname, "A_FireGrenade"); Spawn(MT_HEGRENADE); Spawn(MT_PGRENADE); }
void A_FireElectricBolt(mobj_t* actor)       { strcpy( funcname, "A_FireElectricBolt"); Spawn(MT_ELECARROW); }
void A_FirePoisonBolt(mobj_t* actor)         { strcpy( funcname, "A_FirePoisonBolt"); Spawn(MT_POISARROW); }
void A_FireRifle(mobj_t* actor)              { strcpy( funcname, "A_FireRifle"); }
void A_FireMauler1(mobj_t* actor)            { strcpy( funcname, "A_FireMauler1"); }
void A_SigilSound(mobj_t* actor)             { strcpy( funcname, "A_SigilSound"); }
void A_FireSigil(mobj_t* actor)              { strcpy( funcname, "A_FireSigil"); Spawn(MT_SIGIL_A_GROUND); Spawn(MT_SIGIL_B_SHOT); Spawn(MT_SIGIL_C_SHOT); Spawn(MT_SIGIL_D_SHOT); Spawn(MT_SIGIL_E_SHOT); }
void A_GunFlashThinker(mobj_t* actor)        { strcpy( funcname, "A_GunFlashThinker"); }
void A_Light0(mobj_t* actor)                 { strcpy( funcname, "A_Light0"); }
void A_Light1(mobj_t* actor)                 { strcpy( funcname, "A_Light1"); }
void A_Light2(mobj_t* actor)                 { strcpy( funcname, "A_Light2"); }
void A_SigilShock(mobj_t* actor)             { strcpy( funcname, "A_SigilShock"); }
void A_TorpedoExplode(mobj_t* actor)         { strcpy( funcname, "A_TorpedoExplode"); Spawn(MT_TORPEDOSPREAD); }
void A_MaulerSound(mobj_t* actor)            { strcpy( funcname, "A_MaulerSound"); }

/* VE */
void A_CheckPlayerDone(mobj_t* actor)        { strcpy( funcname, "A_CheckPlayerDone"); }
void A_FlagStandCheck(mobj_t* actor)         { strcpy( funcname, "A_FlagStandCheck"); }
void A_FlagStandSpawn(mobj_t* actor)         { strcpy( funcname, "A_FlagStandSpawn"); }
void A_OreSpawner(mobj_t* actor)             { strcpy( funcname, "A_OreSpawner"); }

/* vim:set noexpandtab tabstop=2 softtabstop=2 shiftwidth=2: */
